##  for PCLinuxOS  ##

Name:    fcitx5-qt
Summary: Qt library and IM module for fcitx5
Version: 5.0.17
Release: 1.nora23
License: LGPLv2+ and BSD
Group:   System/Internationalization
URL:     https://github.com/fcitx/fcitx5-qt
Source:  %{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: libxcb-devel
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: fcitx5-devel
BuildRequires: gettext-devel
Requires: fcitx5

%description
Qt library and IM module for fcitx5.

* This UNOFFICIAL package do not support Qt4 and Qt6.


%package devel
Summary: Development files for %{name}
Group:   Development/KDE and Qt
Requires: %{name} = %{version}-%{release}
Requires: fcitx5-devel

%description devel
Development files for %{name}


%prep
%setup -q


%build
%cmake -DENABLE_QT4=Off -DENABLE_QT6=Off
%cmake_build 


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

%find_lang %{name}


%files -f %{name}.lang
%doc README.md LICENSES/LGPL-2.1-or-later.txt
%{_libdir}/libFcitx5Qt5DBusAddons.so.1
%{_libdir}/libFcitx5Qt5WidgetsAddons.so.2
%{_libdir}/libFcitx5Qt5DBusAddons.so.*.*
%{_libdir}/libFcitx5Qt5WidgetsAddons.so.*.*
%{_libdir}/qt5/plugins/platforminputcontexts/libfcitx5platforminputcontextplugin.so
%{_libdir}/fcitx5/*
/usr/libexec/fcitx5-qt5-gui-wrapper
%{_datadir}/applications/org.fcitx.fcitx5-qt5-gui-wrapper.desktop

%files devel
%{_includedir}/Fcitx5Qt5/
%{_libdir}/cmake/Fcitx5Qt5*
%{_libdir}/libFcitx5Qt5DBusAddons.so
%{_libdir}/libFcitx5Qt5WidgetsAddons.so


%changelog
* Sun Mar 12 2023 tomcat <> 5.0.17-1.nora23
- 5.0.17
- build with fcitx5-5.0.22

* Wed Nov 23 2022 tomcat <> 5.0.16-1.nora22
- 5.0.16
- build with fcitx5-5.0.20

* Tue Aug 30 2022 tomcat <> 5.0.15-1.nora22
- 5.0.15

* Fri Jul 08 2022 tomcat <> 5.0.14-1.nora22
- 5.0.14

* Thu Jun 02 2022 tomcat <> 5.0.13-1.nora22
- 5.0.13

* Tue May 24 2022 tomcat <> 5.0.12-1.nora22
- 5.0.12
- update %%files

* Sat Mar 12 2022 tomcat <> 5.0.11-1.nora22
- 5.0.11

* Tue Feb 08 2022 tomcat <> 5.0.10-1.nora22
- 5.0.10

* Sun Jan 02 2022 tomcat <> 5.0.9-1.nora22
- 5.0.9

* Mon Dec 06 2021 tomcat <> 5.0.8-1.nora21
- 5.0.8

* Mon Sep 27 2021 tomcat <> 5.0.7-1.nora21
- 5.0.7

* Fri May 07 2021 tomcat <> 5.0.6-1.nora21
- 5.0.6

* Tue Mar 23 2021 tomcat <> 5.0.5-1.nora21
- 5.0.5

* Sat Feb 20 2021 tomcat <> 5.0.3-1.nora21
- 5.0.3

* Tue Jan 12 2021 tomcat <> 5.0.2-1.nora21
- 5.0.2
- update %%files

* Tue Jan 05 2021 tomcat <> 5.0.1-1.nora21
- 5.0.1
